StoreContextAppender (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StoreContextAppender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StoreContextAppender

    java.lang.Object
      org.apache.catalina.storeconfig.StoreAppender
          org.apache.catalina.storeconfig.StoreContextAppender

public class StoreContextAppender
extends StoreAppender

store StandardContext Attributes ...

Author:
  Peter Rossbach

Constructor Summary
`StoreContextAppender()`

Method Summary
`java.lang.Object` | `defaultInstance(java.lang.Object bean)` generate default Instance
`protected java.io.File` | `getAppBase(StandardHost host)`
`protected java.lang.String` | `getDefaultWorkDir(StandardContext context)` Make default Work Dir.
`protected java.io.File` | `getDocBase(StandardContext context, java.io.File appBase)`
`boolean` | `isPrintValue(java.lang.Object bean, java.lang.Object bean2, java.lang.String attrName, StoreDescription desc)` print this Attribute value or not
`protected void` | `printAttribute(java.io.PrintWriter writer, int indent, java.lang.Object bean, StoreDescription desc, java.lang.String attributeName, java.lang.Object bean2, java.lang.Object value)`

Methods inherited from class org.apache.catalina.storeconfig.StoreAppender
`convertStr, isPersistable, printAttributes, printAttributes, printCloseTag, printIndent, printOpenTag, printTag, printTagArray, printTagContent, printTagValueArray, printValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreContextAppender

    public StoreContextAppender()

Method Detail

### printAttribute

    protected void printAttribute(java.io.PrintWriter writer,
                                  int indent,
                                  java.lang.Object bean,
                                  StoreDescription desc,
                                  java.lang.String attributeName,
                                  java.lang.Object bean2,
                                  java.lang.Object value)

  Overrides:
    `printAttribute` in class `StoreAppender`
  Parameters:
    `writer` -
    `indent` -
    `bean` -
    `desc` -
    `attributeName` -
    `bean2` -
    `value` -

### isPrintValue

    public boolean isPrintValue(java.lang.Object bean,
                                java.lang.Object bean2,
                                java.lang.String attrName,
                                StoreDescription desc)

  Description copied from class: `StoreAppender`
  print this Attribute value or not

  Overrides:
    `isPrintValue` in class `StoreAppender`
  Parameters:
    `bean` - orginal bean
    `bean2` - default bean
    `attrName` - attribute name
    `desc` - StoreDescription from bean
  Returns:
    True if it's a printing value

### getAppBase

    protected java.io.File getAppBase(StandardHost host)

### getDocBase

    protected java.io.File getDocBase(StandardContext context,
                                      java.io.File appBase)

### getDefaultWorkDir

    protected java.lang.String getDefaultWorkDir(StandardContext context)

  Make default Work Dir.

  Parameters:
    `context` -
  Returns:
    The default working directory for the context.

### defaultInstance

    public java.lang.Object defaultInstance(java.lang.Object bean)
                                     throws java.lang.InstantiationException,
                                            java.lang.IllegalAccessException

  Description copied from class: `StoreAppender`
  generate default Instance

  Overrides:
    `defaultInstance` in class `StoreAppender`
  Parameters:
    `bean` -
  Returns:
    an object from same class as bean parameter
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.